Debian Bug report logs - #311438
xterm -S/34 no longer works

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Peter Chubb <peterc@gelato.unsw.edu.au>

Date: Wed, 1 Jun 2005 03:33:01 UTC

Severity: normal

Tags: fixed-in-experimental, fixed-upstream

Found in version 4.3.0.dfsg.1-1

Fixed in version 208-1

Done: David Martínez Moreno <ender@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#311438; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Peter Chubb <peterc@gelato.unsw.edu.au>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Chubb <peterc@gelato.unsw.edu.au>
To: submit@bugs.debian.org
Subject: xterm -S/34 no longer works
Date: Wed, 1 Jun 2005 13:28:34 +1000
Package: xterm
Version: 4.3.0.dfsg.1-1

The syntax
	xterm -S/96
used to work.  With the latest upgrade it reports:
	xterm:  bad command line option "-S/96"


This hurts because the Ski IA64 simulator invokes xterm with -S/96 or
similar.

I'm running on Itanium, but see the same behaviour on X86.

--
Dr Peter Chubb     http://www.gelato.unsw.edu.au  peterc@gelato.unsw.edu.au
You are lost in a maze of BitKeeper repositories,   all slightly different.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#311438; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Peter Chubb <peterc@gelato.unsw.edu.au>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 311438@bugs.debian.org (full text, mbox):

From: Peter Chubb <peterc@gelato.unsw.edu.au>
To: 311438@bugs.debian.org
Subject: Patch to fix the problem.
Date: Wed, 1 Jun 2005 15:20:29 +1000
The problem is an off-by-one when working out the position of the
first digit after the slash in -S/xxx

Here's a patch:

--- xc-orig/programs/xterm/main.c	2005-06-01 15:19:07.065945065 +1000
+++ xc/programs/xterm/main.c	2005-06-01 15:17:53.964033669 +1000
@@ -1430,7 +1430,7 @@
     Bool code = False;
 
     if (leaf != option) {
-	if (leaf - option > 1
+	if (leaf - option > 0
 	    && isdigit(CharOf(*leaf))
 	    && sscanf(leaf, "%d", &am_slave) == 1) {
 	    size_t len = leaf - option - 1;




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#311438; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 311438@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 311438@bugs.debian.org
Subject: #311438 xterm -S/34 no longer works
Date: Sun, 17 Jul 2005 19:24:20 -0400
[Message part 1 (text/plain, inline)]
this is fixed in xterm patch #203

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from David Martínez Moreno <ender@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from David Martínez Moreno <ender@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Martínez Moreno <ender@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Chubb <peterc@gelato.unsw.edu.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 311438-done@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: 305540-done@bugs.debian.org, 311438-done@bugs.debian.org, 315195-done@bugs.debian.org, 318280-done@bugs.debian.org, 318513-done@bugs.debian.org, 324352-done@bugs.debian.org
Cc: debian-x@lists.debian.org
Subject: Closing bugs fixed in xterm 208-1.
Date: Wed, 11 Jan 2006 11:49:34 +0100
[Message part 1 (text/plain, inline)]
Version: 208-1

	David Nusinow forgot to run dpkg-buildpackage with -v option, in order to 
close bugs from previous version. All these bugs were closed by xterm 
204-0pre1 in experimental, and 208-1 in unstable.

	Best regards,


		Ender.
-- 
Another C-3PO: E chu ta!
C-3PO: How rude!
		-- C-3PO (The Empire Strikes Back).
--
Desarrollador de Debian
Debian developer
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 06:40:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 19:52:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.